Subject: [urn] Second draft of BoF Agenda

From: Alfred Hönes <[email-masked]>
Date: Wed, 2 Jun 2010 22:16:20 +0200 (MESZ)

Below is a revised and expanded draft version of the URNbis BoF Agenda.
It has been compiled from a working copy circulated last Friday, taking
into account the AD changes to the original submission as established
in  <http://www.IETF.ORG/mail-archive/web/urn/current/msg01437.html>.

Comments and suggestions for improval are welcome, as always.

Kind regards,
  Alfred.

-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Agenda URNbis (URN) BoF
IETF 78, Maastricht, NL

-----------------------------------
State: Draft
Author: Alfred Hönes <[email-masked]>
Last Modified: 2010-06-02
-----------------------------------

BOF CHAIRS (to be finalized / confirmed by ADs):

   John C. Klensin <[email-masked]>
   Alfred Hönes <[email-masked]>

DATE/TIME/VENUE:

   t.b.d.  (during week of July 26-30, 2010)

GOAL:  to charter a new WG

AGENDA:  (tailored for 1.5-hour slot)

1. Administrivia (Chairs, 5 min)

   - Note takers, Jabber scribes

   - "Note Well"

   - Agenda bashing

2. Presentations (40-45 min, presenters to be nominated)

2.1. The need for up-to-date URN Standard documents
       -  where do URNs come from, why do we need them
       -  URN work in the IETF, from mid 1970's until today
       -  what happened on a wider scale, regarding URIs
       -  mismatches and inconsistencies, lack of maturity
     (10-15 min)

2.2. One URN "customer":
       -  National library use of URNs
       -  a short presentation of project PersID
     (5 min)

2.3. Work items -- problem statement and scope of work
     (25 min)

     a) general goals and non-goals
        (2 min)

     b) Core URN documents
        -  formal specification / revision of RFC 2141
        -  namespace registration / revision of RFC 3406
        (6 min)

     c) URN namespaces for bibliograpic identifier systems
        - ISBN URNs / revision of RFC 3187
        - NBN URNs  / revision of RFC 3188
        - ISSN URNs  / revision of RFC 3044
        (6 min)

     d) Review of other URN namespaces
        - review existing namespace registration RFCs
          {with respect to RFC 3986 etc. and work in b) above}
        - point original registrants to issues / needs for update
        - take on work on revisions in WG (only upon rechartering)
        - serve as a voluntary forum of competence in support of
          new URN namespace registrants and IANA urn-nid expert
        (3 min)

     e) URN Resolution -- principles and systems
        - review existing RFCs for relevance and need for update
        - decide whether new URN resolution framework document is needed
        - BCP on use of HTTP for URN resolution
        - based on experience in Project PersID
        (6 min)

     f) staging of work, possible milestones, advancing of STD maturity
        (2 min)

   [ Recommended reading for BOF attendants: the "Introduction"
     sections (at least!) of the I-Ds listed in the draft charter ]

3. Open Q&A for presentations  (Chairs, 15 min)

4. Discussion of Draft Charter  (Chairs/ADs, 15 min)

5. Conclusions and Next Steps  (Chairs/ADs, 10 min)

-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+